v1.0
put
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/recon/shipments/{shipmentId}/tracking
Updates a shipment's tracking details. Rights: OrsInventoryPost and either OrsBlinded or OrsUnblinded.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
shipmentId(required): string(uuid)
ID of the shipment.Example:
8ECE2C9D389645B09740DC7926DEFB69 -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
B1B8327AFAA6412287106192AB5984EF
Supported Media Types
- */*
Root Schema : Shipment Tracking Details Request
Type:
objectTitle:
Shipment Tracking Details RequestShipment Tracking Details parameters.
Show Source
-
shipmentId: string
(uuid)
ID of the shipment.
-
trackingNumber: string
Minimum Length:
0Maximum Length:50Shipment tracking number.Example:12345 -
trackingNumberUrl: string
(uri)
Minimum Length:
0Maximum Length:2048Pattern:^$|^(https?)://.+$URL for tracking the shipment.Example:http://www.site.com
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Type:
string(uuid)Examples
400 Response
Invalid shipment type
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Examples
403 Response
User doesn't have access to the site.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Examples
404 Response
Shipment not found.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Examples
500 Response
Internal server error
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Examples